<?php


return  
    [
        'model' => [
            'model' => \Litecms\Contact\Models\Account::class,
            'table' => 'litecms_contact_accounts',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['name',  'email',  'phone',  'fax',  'website',  'address',  'type',  'industry',  'annual_revenue',  'employees',  'notes',  'description',  'user_id',  'user_type'],
            'translatables' => [],
            'upload_folder' => 'contact/account',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "name", 
                "type" => "text", 
                "label" => 'contact::account.label.name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "email", 
                "type" => "text", 
                "label" => 'contact::account.label.email', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "phone", 
                "type" => "text", 
                "label" => 'contact::account.label.phone', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "fax", 
                "type" => "text", 
                "label" => 'contact::account.label.fax', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "website", 
                "type" => "text", 
                "label" => 'contact::account.label.website', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "address", 
                "type" => "text", 
                "label" => 'contact::account.label.address', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "type", 
                "type" => "text", 
                "label" => 'contact::account.label.type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "industry", 
                "type" => "text", 
                "label" => 'contact::account.label.industry', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "annual_revenue", 
                "type" => "text", 
                "label" => 'contact::account.label.annual_revenue', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "employees", 
                "type" => "text", 
                "label" => 'contact::account.label.employees', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "notes", 
                "type" => "text", 
                "label" => 'contact::account.label.notes', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "description", 
                "type" => "text", 
                "label" => 'contact::account.label.description', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'contact::account.label.name',
                "placeholder" => 'contact::account.placeholder.name',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'email',
                "element" => 'text',
                "type" => 'text',
                "label" => 'contact::account.label.email',
                "placeholder" => 'contact::account.placeholder.email',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'phone',
                "element" => 'text',
                "type" => 'text',
                "label" => 'contact::account.label.phone',
                "placeholder" => 'contact::account.placeholder.phone',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'fax',
                "element" => 'text',
                "type" => 'text',
                "label" => 'contact::account.label.fax',
                "placeholder" => 'contact::account.placeholder.fax',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'website',
                "element" => 'text',
                "type" => 'text',
                "label" => 'contact::account.label.website',
                "placeholder" => 'contact::account.placeholder.website',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'address',
                "element" => 'text',
                "type" => 'text',
                "label" => 'contact::account.label.address',
                "placeholder" => 'contact::account.placeholder.address',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'type',
                "element" => 'text',
                "type" => 'text',
                "label" => 'contact::account.label.type',
                "placeholder" => 'contact::account.placeholder.type',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'industry',
                "element" => 'text',
                "type" => 'text',
                "label" => 'contact::account.label.industry',
                "placeholder" => 'contact::account.placeholder.industry',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'annual_revenue',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'contact::account.label.annual_revenue',
                "placeholder" => 'contact::account.placeholder.annual_revenue',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'employees',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'contact::account.label.employees',
                "placeholder" => 'contact::account.placeholder.employees',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'notes',
                "element" => 'text',
                "type" => 'text',
                "label" => 'contact::account.label.notes',
                "placeholder" => 'contact::account.placeholder.notes',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'description',
                "element" => 'text',
                "type" => 'text',
                "label" => 'contact::account.label.description',
                "placeholder" => 'contact::account.placeholder.description',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'contact/account/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'contact/account/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'contact/account',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'contact/account',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'contact/account',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'contact/account',
                'method' => 'DELETE',
            ],
        ],
        'order' => [
            'created_at' => 'contact::account.label.created_at',
            'name' => 'contact::account.label.name',
            'status' => 'contact::account.label.status',
        ],
        'groups' => [
            'main' => [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "contact::account.groups.main",
                'key' => "main",
                'title' => "contact::account.groups.main",
            ],
            'details' => [
                'icon' => "fe:home",
                'name' => "contact::account.groups.details",
                'key' => "documents",
                'title' => "contact::account.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "contact::account.groups.images",
                'key' => "documents",
                'title' => "contact::account.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "contact::account.groups.settings",
                'key' => "documents",
                'title' => "contact::account.groups.settings",
            ]
        ],
        'controller' => [
            'provider' => 'Litecms',
            'package' => 'Contact',
            'module' => 'Account',
        ],

        
         
        'actions' => [
            'copy' => [
                'type' => ['Details', 'List'],
                'label' => 'contact::account.action.copy',
                'roles' => [
                    'user' => ['superuser', 'admin'],
                    'team' => ['admin'],
                    'permission' => ['contact.account.copy', 'contact.account.duplicate'],
                ],
                'form' => [
                    'count' => [
                        "element" => 'select',
                        "type" => 'select',
                        "label" => 'contact::account.label.count',
                        "placeholder" => 'contact::account.placeholder.count',
                        "options" => call_user_func(function () {
                            return [
                                1 => ['value' => 1, 'text' => 1],
                                2 => ['value' => 2, 'text' => 2],
                                3 => ['value' => 3, 'text' => 3],
                                4 => ['value' => 4, 'text' => 4],
                            ];
                        }),
                        "col" => "12",
                    ],
                    'comment' => [
                        "element" => 'textarea',
                        "type" => 'text',
                        "required" => 'required',
                        "label" => 'contact::account.label.comment',
                        "placeholder" => 'contact::account.placeholder.comment',
                        "col" => "12",
                    ],
                ],
            ],
            'empty' => [
                'type' => ['List', 'Details'],
                'label' => 'contact::account.action.empty',
                'roles' => [
                    'user' => ['superuser'],
                ],
            ],
        ]
        
    ];
