<?php


return  
    [
        'model' => [
            'model' => \Litecms\Contact\Models\AccountContact::class,
            'table' => 'litecms_contact_account_contacts',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['account_id',  'contact_id',  'role',  'start_date',  'end_date',  'direct'],
            'translatables' => [],
            'upload_folder' => 'contact/account_contact',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "account_id", 
                "type" => "text", 
                "label" => 'contact::account_contact.label.account_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "contact_id", 
                "type" => "text", 
                "label" => 'contact::account_contact.label.contact_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "role", 
                "type" => "text", 
                "label" => 'contact::account_contact.label.role', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "start_date", 
                "type" => "text", 
                "label" => 'contact::account_contact.label.start_date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "end_date", 
                "type" => "text", 
                "label" => 'contact::account_contact.label.end_date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "direct", 
                "type" => "text", 
                "label" => 'contact::account_contact.label.direct', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'account_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'contact::account_contact.label.account_id',
                "placeholder" => 'contact::account_contact.placeholder.account_id',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'contact_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'contact::account_contact.label.contact_id',
                "placeholder" => 'contact::account_contact.placeholder.contact_id',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'role',
                "element" => 'text',
                "type" => 'text',
                "label" => 'contact::account_contact.label.role',
                "placeholder" => 'contact::account_contact.placeholder.role',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'start_date',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'contact::account_contact.label.start_date',
                "placeholder" => 'contact::account_contact.placeholder.start_date',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'end_date',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'contact::account_contact.label.end_date',
                "placeholder" => 'contact::account_contact.placeholder.end_date',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'direct',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'contact::account_contact.label.direct',
                "placeholder" => 'contact::account_contact.placeholder.direct',
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'contact/account_contact/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'contact/account_contact/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'contact/account_contact',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'contact/account_contact',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'contact/account_contact',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'contact/account_contact',
                'method' => 'DELETE',
            ],
        ],
        'order' => [
            'created_at' => 'contact::account_contact.label.created_at',
            'name' => 'contact::account_contact.label.name',
            'status' => 'contact::account_contact.label.status',
        ],
        'groups' => [
            'main' => [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "contact::account_contact.groups.main",
                'key' => "main",
                'title' => "contact::account_contact.groups.main",
            ],
            'details' => [
                'icon' => "fe:home",
                'name' => "contact::account_contact.groups.details",
                'key' => "documents",
                'title' => "contact::account_contact.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "contact::account_contact.groups.images",
                'key' => "documents",
                'title' => "contact::account_contact.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "contact::account_contact.groups.settings",
                'key' => "documents",
                'title' => "contact::account_contact.groups.settings",
            ]
        ],
        'controller' => [
            'provider' => 'Litecms',
            'package' => 'Contact',
            'module' => 'AccountContact',
        ],

        
         
        'actions' => [
            'copy' => [
                'type' => ['Details', 'List'],
                'label' => 'contact::account_contact.action.copy',
                'roles' => [
                    'user' => ['superuser', 'admin'],
                    'team' => ['admin'],
                    'permission' => ['contact.account_contact.copy', 'contact.account_contact.duplicate'],
                ],
                'form' => [
                    'count' => [
                        "element" => 'select',
                        "type" => 'select',
                        "label" => 'contact::account_contact.label.count',
                        "placeholder" => 'contact::account_contact.placeholder.count',
                        "options" => call_user_func(function () {
                            return [
                                1 => ['value' => 1, 'text' => 1],
                                2 => ['value' => 2, 'text' => 2],
                                3 => ['value' => 3, 'text' => 3],
                                4 => ['value' => 4, 'text' => 4],
                            ];
                        }),
                        "col" => "12",
                    ],
                    'comment' => [
                        "element" => 'textarea',
                        "type" => 'text',
                        "required" => 'required',
                        "label" => 'contact::account_contact.label.comment',
                        "placeholder" => 'contact::account_contact.placeholder.comment',
                        "col" => "12",
                    ],
                ],
            ],
            'empty' => [
                'type' => ['List', 'Details'],
                'label' => 'contact::account_contact.action.empty',
                'roles' => [
                    'user' => ['superuser'],
                ],
            ],
        ]
        
    ];
