<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateLitecmsContactAccountsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: litecms_contact_accounts
         */
        Schema::create('litecms_contact_accounts', function ($table) {
            $table->increments('id');
            $table->string('name', 200)->nullable();
            $table->string('email', 50)->nullable();
            $table->string('phone', 50)->nullable();
            $table->string('fax', 50)->nullable();
            $table->string('website', 50)->nullable();
            $table->text('address')->nullable();
            $table->string('type', 50)->nullable();
            $table->string('industry', 50)->nullable();
            $table->decimal('annual_revenue', 12,3)->nullable();
            $table->integer('employees')->nullable();
            $table->text('notes')->nullable();
            $table->string('description', 200)->nullable();
            $table->string('slug', 200)->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 50)->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('litecms_contact_accounts');
    }
}
