<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateLitecmsContactContactsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: litecms_contact_contacts
         */
        Schema::create('litecms_contact_contacts', function ($table) {
            $table->increments('id');
            $table->enum('type', [])->nullable();
            $table->string('ref', 20)->nullable();
            $table->string('title', 10)->nullable();
            $table->string('name', 150)->nullable();
            $table->string('mobile', 255)->nullable();
            $table->string('email', 255)->nullable();
            $table->string('phone', 255)->nullable();
            $table->string('fax', 225)->nullable();
            $table->string('website', 100)->nullable();
            $table->date('dob')->nullable();
            $table->string('nationality', 100)->nullable();
            $table->string('religion', 100)->nullable();
            $table->string('languages', 100)->nullable();
            $table->text('address')->nullable();
            $table->text('phones')->nullable();
            $table->text('socialmedias')->nullable();
            $table->text('emails')->nullable();
            $table->text('people')->nullable();
            $table->text('events')->nullable();
            $table->string('company', 50)->nullable();
            $table->string('license_number', 100)->nullable();
            $table->string('designation', 100)->nullable();
            $table->string('department', 50)->nullable();
            $table->string('passport_no', 50)->nullable();
            $table->enum('has_id', [])->nullable();
            $table->string('id_number', 50)->nullable();
            $table->text('documents')->nullable();
            $table->text('notes')->nullable();
            $table->text('remarks')->nullable();
            $table->text('tags')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 50)->nullable();
            $table->string('upload_folder', 255)->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('litecms_contact_contacts');
    }
}
