<?php

namespace Litecms\Contact\Seeders;

use DB;
use Illuminate\Database\Seeder;

class AccountTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('litecms_contact_accounts')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'litecms.contact.account.view',
                'name'      => 'View Account',
            ],
            [
                'slug'      => 'litecms.contact.account.create',
                'name'      => 'Create Account',
            ],
            [
                'slug'      => 'litecms.contact.account.edit',
                'name'      => 'Update Account',
            ],
            [
                'slug'      => 'litecms.contact.account.delete',
                'name'      => 'Delete Account',
            ],
            
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/contact/account',
                'name'        => 'Account',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/contact/account',
                'name'        => 'Account',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'account',
                'name'        => 'Account',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Contact',
                'module'    => 'Account',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'litecms.contact.account.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
