<?php

namespace Litecms\Contact\Policies;

use Litecms\Contact\Models\AccountContact;
use Litepie\User\Interfaces\UserPolicyInterface;

trait AccountContactAction
{

    /**
     * Determine if the given user can approve the given account_contact.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function copy(UserPolicyInterface $authUser, AccountContact $account_contact)
    {
        if ($authUser->is($this->model->owner())) {
            return true;
        }

        if ($authUser->canDo('contact.account_contact.action.copy')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given account_contact.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    function empty(UserPolicyInterface $authUser, AccountContact $account_contact) {
        if ($authUser->is($this->model->owner())) {
            return true;
        }

        if ($authUser->canDo('contact.account_contact.action.empty')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given account_contact.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function transfer(UserPolicyInterface $authUser, AccountContact $account_contact)
    {
        if ($authUser->is($this->model->owner())) {
            return true;
        }

        if ($authUser->canDo('contact.account_contact.action.transfer')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given account_contact.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function delete(UserPolicyInterface $authUser, AccountContact $account_contact)
    {


        if ($authUser->canDo('contact.account_contact.action.delete')) {
            return true;
        }

        return false;
    }


}
