<?php

namespace Litecms\Contact\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Contact policy
        \Litecms\Contact\Models\ContactRepository::class 
        => \Litecms\Contact\Policies\ContactPolicy::class,// Bind AccountContact policy
        \Litecms\Contact\Models\AccountContactRepository::class 
        => \Litecms\Contact\Policies\AccountContactPolicy::class,// Bind Account policy
        \Litecms\Contact\Models\AccountRepository::class 
        => \Litecms\Contact\Policies\AccountPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
